<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/mission/DispatcherCaller.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/df4/_dispatcher_caller_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">DispatcherCaller.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/df4/_dispatcher_caller_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>DispatcherCaller <span class="keyword">extends</span> <a class="code hl_class" href="../../d2/d3f/class_dispatcher.html">Dispatcher</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d2/d3f/class_dispatcher.html#a0bb697127710da27cae56dee8556dbaf">    3</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d3f/class_dispatcher.html#a0bb697127710da27cae56dee8556dbaf">SendLogAtClient</a>(Param1&lt;string&gt; p)</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        PluginDeveloper m = PluginDeveloper.Cast( <a class="code hl_function" href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a>(PluginDeveloper) );</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <span class="keywordflow">if</span> ( m != NULL )</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>            m.SendServerLogToClient(p.param1);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        }</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d2/d3f/class_dispatcher.html#a49718c0a5b9f36ecea6e76d80f28d20a">   13</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d3f/class_dispatcher.html#a49718c0a5b9f36ecea6e76d80f28d20a">ScriptConsoleAddPrint</a>(Param1&lt;string&gt; p)</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_class" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a> ui_menu = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a3ab7a991240828f5541ef09cf31fea78">GetMenu</a>();</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">if</span> ( ui_menu.GetID() == <a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#ga1f9c728143ed68225163b352c33f1fc4">MENU_SCRIPTCONSOLE</a> )</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            ScriptConsole scripted_console = ScriptConsole.Cast( ui_menu );</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            scripted_console.<a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#a4cca9086febddb24f81f47c92710188c">Add</a>(p.param1);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d2/d3f/class_dispatcher.html#a707a7ccdd533986e9df909140258fcaa">   23</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d3f/class_dispatcher.html#a707a7ccdd533986e9df909140258fcaa">ScriptConsoleHistoryBack</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_class" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a> ui_menu = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a3ab7a991240828f5541ef09cf31fea78">GetMenu</a>();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">if</span> ( ui_menu.GetID() == <a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#ga1f9c728143ed68225163b352c33f1fc4">MENU_SCRIPTCONSOLE</a> )</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            ScriptConsole scripted_console = ScriptConsole.Cast( ui_menu );</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            scripted_console.<a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#a13f0d9335cf9fb8ddcac766efe5b8a58">HistoryBack</a>();</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d2/d3f/class_dispatcher.html#acdc889222e1d92098a9e212d8f103add">   33</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d3f/class_dispatcher.html#acdc889222e1d92098a9e212d8f103add">ScriptConsoleHistoryForward</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_class" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a> ui_menu = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a3ab7a991240828f5541ef09cf31fea78">GetMenu</a>();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">if</span> ( ui_menu.GetID() == <a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#ga1f9c728143ed68225163b352c33f1fc4">MENU_SCRIPTCONSOLE</a> )</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            ScriptConsole scripted_console = ScriptConsole.Cast( ui_menu );</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            scripted_console.<a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#a0925bc4f819e4fc81a79caa68d1f45db">HistoryForward</a>();</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d2/d3f/class_dispatcher.html#aefdf50c9c9d3d831013c5ea71ac063e7">   43</a></span>    <span class="keyword">private</span> <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> <a class="code hl_function" href="../../d2/d3f/class_dispatcher.html#aefdf50c9c9d3d831013c5ea71ac063e7">ScriptConsoleGetSelectedItem</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_class" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a> ui_menu = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a3ab7a991240828f5541ef09cf31fea78">GetMenu</a>();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">if</span> ( ui_menu.GetID() == <a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#ga1f9c728143ed68225163b352c33f1fc4">MENU_SCRIPTCONSOLE</a> )</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            ScriptConsole scripted_console = ScriptConsole.Cast( ui_menu );</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            scripted_console.<a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#ad5bc9972df322c2b1c6cca5097f19f59">GetCurrentItemName</a>();</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">return</span> null;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../d2/d3f/class_dispatcher.html#a62bb2ebc423fbfa99dad3d51d04c36ac">   56</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d3f/class_dispatcher.html#a62bb2ebc423fbfa99dad3d51d04c36ac">SceneEditorCommand</a>(<a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> params)</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_class" href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a> ui_menu = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a3ab7a991240828f5541ef09cf31fea78">GetMenu</a>();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">if</span> ( ui_menu &amp;&amp; ui_menu.GetID() == <a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#ga9e6dd7f9f5dcbe138d86b5a9604130b0">MENU_SCENE_EDITOR</a> )</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            SceneEditorMenu editor_menu = SceneEditorMenu.Cast( ui_menu );</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>            editor_menu.<a class="code hl_function" href="../../d1/d5b/class_u_i_scripted_menu.html#a48bf281fa059d19f7dfc5de9ec29f940">SceneEditorCommand</a>( params );</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d2/d3f/class_dispatcher.html#aa50daed01e2cd25e1cc65571cc37cc99">   66</a></span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/d3f/class_dispatcher.html#aa50daed01e2cd25e1cc65571cc37cc99">MissionGameplayHideInventory</a>()</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        MissionGameplay <a class="code hl_variable" href="../../d9/de7/_display_status_8c.html#ab3a3bb8e635420fd40ef3c99f863c5c8">mission</a> = MissionGameplay.Cast( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetMission() );</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d9/de7/_display_status_8c.html#ab3a3bb8e635420fd40ef3c99f863c5c8">mission</a> )</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <a class="code hl_variable" href="../../d9/de7/_display_status_8c.html#ab3a3bb8e635420fd40ef3c99f863c5c8">mission</a>.<a class="code hl_function" href="../../db/dad/class_mission.html#aa6e3ab0a60c6c3a44228943fa6d64a88">HideInventory</a>();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../d2/d3f/class_dispatcher.html#a2b2aececdc9ce97d6a5ac9ec5b851bbf">   75</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> <a class="code hl_function" href="../../d2/d3f/class_dispatcher.html#a2b2aececdc9ce97d6a5ac9ec5b851bbf">CallMethod</a>(<a class="code hl_typedef" href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a> call_id, <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> params)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    {               </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">switch</span>(call_id)</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d6/d73/_dispatcher_8c.html#abdeb2e30ff766c369b15155c3c3fd778">CALL_ID_SEND_LOG</a>:</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <a class="code hl_function" href="../../d2/d3f/class_dispatcher.html#a0bb697127710da27cae56dee8556dbaf">SendLogAtClient</a>(Param1&lt;string&gt;.Cast( params ));</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d6/d73/_dispatcher_8c.html#ac4ae553a83a73c53a4db942efa219ea4">CALL_ID_SCR_CNSL_ADD_PRINT</a>:</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <a class="code hl_function" href="../../d2/d3f/class_dispatcher.html#a49718c0a5b9f36ecea6e76d80f28d20a">ScriptConsoleAddPrint</a>(Param1&lt;string&gt;.Cast( params ));</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d6/d73/_dispatcher_8c.html#ac4870c197de7176b03b90716049cd24b">CALL_ID_SCR_CNSL_HISTORY_BACK</a>:</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <a class="code hl_function" href="../../d2/d3f/class_dispatcher.html#a707a7ccdd533986e9df909140258fcaa">ScriptConsoleHistoryBack</a>();</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <span class="keywordflow">break</span>;      </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d6/d73/_dispatcher_8c.html#a80d4854d3893a878cb5db1358f09f447">CALL_ID_SCR_CNSL_HISTORY_NEXT</a>:</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            <a class="code hl_function" href="../../d2/d3f/class_dispatcher.html#acdc889222e1d92098a9e212d8f103add">ScriptConsoleHistoryForward</a>();</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d6/d73/_dispatcher_8c.html#ab99e8b3d9bf5267aea0cf047edea2d0f">CALL_ID_SCENE_EDITOR_COMMAND</a>:</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            <a class="code hl_function" href="../../d2/d3f/class_dispatcher.html#a62bb2ebc423fbfa99dad3d51d04c36ac">SceneEditorCommand</a>( params );</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d6/d73/_dispatcher_8c.html#ac88821bb56908644fc2bf4d9e1f8464d">CALL_ID_HIDE_INVENTORY</a>:</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <a class="code hl_function" href="../../d2/d3f/class_dispatcher.html#aa50daed01e2cd25e1cc65571cc37cc99">MissionGameplayHideInventory</a>();</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d6/d73/_dispatcher_8c.html#a4717433447172f8fda80097797df4931">CALL_ID_SCR_CNSL_GETSELECTEDITEM</a>:</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <span class="keywordflow">return</span> <span class="keyword">new</span> Param1&lt;string&gt;(ScriptConsole.GetLastSelectedObject());</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">return</span> null;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>}</div>
<div class="ttc" id="a_dispatcher_8c_html_a4717433447172f8fda80097797df4931"><div class="ttname"><a href="../../d6/d73/_dispatcher_8c.html#a4717433447172f8fda80097797df4931">CALL_ID_SCR_CNSL_GETSELECTEDITEM</a></div><div class="ttdeci">const CallID CALL_ID_SCR_CNSL_GETSELECTEDITEM</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_dispatcher_8c_source.html#l00011">Dispatcher.c:11</a></div></div>
<div class="ttc" id="a_dispatcher_8c_html_a80d4854d3893a878cb5db1358f09f447"><div class="ttname"><a href="../../d6/d73/_dispatcher_8c.html#a80d4854d3893a878cb5db1358f09f447">CALL_ID_SCR_CNSL_HISTORY_NEXT</a></div><div class="ttdeci">const CallID CALL_ID_SCR_CNSL_HISTORY_NEXT</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_dispatcher_8c_source.html#l00005">Dispatcher.c:5</a></div></div>
<div class="ttc" id="a_dispatcher_8c_html_ab8c224df5ffc01e3804004c8ca9f5f24"><div class="ttname"><a href="../../d6/d73/_dispatcher_8c.html#ab8c224df5ffc01e3804004c8ca9f5f24">CallID</a></div><div class="ttdeci">int CallID</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_dispatcher_8c_source.html#l00001">Dispatcher.c:1</a></div></div>
<div class="ttc" id="a_dispatcher_8c_html_ab99e8b3d9bf5267aea0cf047edea2d0f"><div class="ttname"><a href="../../d6/d73/_dispatcher_8c.html#ab99e8b3d9bf5267aea0cf047edea2d0f">CALL_ID_SCENE_EDITOR_COMMAND</a></div><div class="ttdeci">const CallID CALL_ID_SCENE_EDITOR_COMMAND</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_dispatcher_8c_source.html#l00009">Dispatcher.c:9</a></div></div>
<div class="ttc" id="a_dispatcher_8c_html_abdeb2e30ff766c369b15155c3c3fd778"><div class="ttname"><a href="../../d6/d73/_dispatcher_8c.html#abdeb2e30ff766c369b15155c3c3fd778">CALL_ID_SEND_LOG</a></div><div class="ttdeci">const CallID CALL_ID_SEND_LOG</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_dispatcher_8c_source.html#l00003">Dispatcher.c:3</a></div></div>
<div class="ttc" id="a_dispatcher_8c_html_ac4870c197de7176b03b90716049cd24b"><div class="ttname"><a href="../../d6/d73/_dispatcher_8c.html#ac4870c197de7176b03b90716049cd24b">CALL_ID_SCR_CNSL_HISTORY_BACK</a></div><div class="ttdeci">const CallID CALL_ID_SCR_CNSL_HISTORY_BACK</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_dispatcher_8c_source.html#l00004">Dispatcher.c:4</a></div></div>
<div class="ttc" id="a_dispatcher_8c_html_ac4ae553a83a73c53a4db942efa219ea4"><div class="ttname"><a href="../../d6/d73/_dispatcher_8c.html#ac4ae553a83a73c53a4db942efa219ea4">CALL_ID_SCR_CNSL_ADD_PRINT</a></div><div class="ttdeci">const CallID CALL_ID_SCR_CNSL_ADD_PRINT</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_dispatcher_8c_source.html#l00006">Dispatcher.c:6</a></div></div>
<div class="ttc" id="a_dispatcher_8c_html_ac88821bb56908644fc2bf4d9e1f8464d"><div class="ttname"><a href="../../d6/d73/_dispatcher_8c.html#ac88821bb56908644fc2bf4d9e1f8464d">CALL_ID_HIDE_INVENTORY</a></div><div class="ttdeci">const CallID CALL_ID_HIDE_INVENTORY</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_dispatcher_8c_source.html#l00010">Dispatcher.c:10</a></div></div>
<div class="ttc" id="a_display_status_8c_html_ab3a3bb8e635420fd40ef3c99f863c5c8"><div class="ttname"><a href="../../d9/de7/_display_status_8c.html#ab3a3bb8e635420fd40ef3c99f863c5c8">mission</a></div><div class="ttdeci">Mission mission</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de7/_display_status_8c_source.html#l00028">DisplayStatus.c:28</a></div></div>
<div class="ttc" id="a_plugin_manager_8c_html_a35050f82bea320b7a5336fc549630eaf"><div class="ttname"><a href="../../d9/d5d/_plugin_manager_8c.html#a35050f82bea320b7a5336fc549630eaf">GetPlugin</a></div><div class="ttdeci">PluginBase GetPlugin(typename plugin_type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d5d/_plugin_manager_8c_source.html#l00300">PluginManager.c:300</a></div></div>
<div class="ttc" id="aclass_c_game_html_a00980b6b66e736a4af85fe1a935fd25e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">CGame::GetUIManager</a></div><div class="ttdeci">proto native UIManager GetUIManager()</div></div>
<div class="ttc" id="aclass_dispatcher_html"><div class="ttname"><a href="../../d2/d3f/class_dispatcher.html">Dispatcher</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_dispatcher_8c_source.html#l00013">Dispatcher.c:14</a></div></div>
<div class="ttc" id="aclass_dispatcher_html_a0bb697127710da27cae56dee8556dbaf"><div class="ttname"><a href="../../d2/d3f/class_dispatcher.html#a0bb697127710da27cae56dee8556dbaf">Dispatcher::SendLogAtClient</a></div><div class="ttdeci">private void SendLogAtClient(Param1&lt; string &gt; p)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df4/_dispatcher_caller_8c_source.html#l00003">DispatcherCaller.c:3</a></div></div>
<div class="ttc" id="aclass_dispatcher_html_a2b2aececdc9ce97d6a5ac9ec5b851bbf"><div class="ttname"><a href="../../d2/d3f/class_dispatcher.html#a2b2aececdc9ce97d6a5ac9ec5b851bbf">Dispatcher::CallMethod</a></div><div class="ttdeci">override Param CallMethod(CallID call_id, Param params)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df4/_dispatcher_caller_8c_source.html#l00075">DispatcherCaller.c:75</a></div></div>
<div class="ttc" id="aclass_dispatcher_html_a49718c0a5b9f36ecea6e76d80f28d20a"><div class="ttname"><a href="../../d2/d3f/class_dispatcher.html#a49718c0a5b9f36ecea6e76d80f28d20a">Dispatcher::ScriptConsoleAddPrint</a></div><div class="ttdeci">private void ScriptConsoleAddPrint(Param1&lt; string &gt; p)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df4/_dispatcher_caller_8c_source.html#l00013">DispatcherCaller.c:13</a></div></div>
<div class="ttc" id="aclass_dispatcher_html_a62bb2ebc423fbfa99dad3d51d04c36ac"><div class="ttname"><a href="../../d2/d3f/class_dispatcher.html#a62bb2ebc423fbfa99dad3d51d04c36ac">Dispatcher::SceneEditorCommand</a></div><div class="ttdeci">private void SceneEditorCommand(Param params)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df4/_dispatcher_caller_8c_source.html#l00056">DispatcherCaller.c:56</a></div></div>
<div class="ttc" id="aclass_dispatcher_html_a707a7ccdd533986e9df909140258fcaa"><div class="ttname"><a href="../../d2/d3f/class_dispatcher.html#a707a7ccdd533986e9df909140258fcaa">Dispatcher::ScriptConsoleHistoryBack</a></div><div class="ttdeci">private void ScriptConsoleHistoryBack()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df4/_dispatcher_caller_8c_source.html#l00023">DispatcherCaller.c:23</a></div></div>
<div class="ttc" id="aclass_dispatcher_html_aa50daed01e2cd25e1cc65571cc37cc99"><div class="ttname"><a href="../../d2/d3f/class_dispatcher.html#aa50daed01e2cd25e1cc65571cc37cc99">Dispatcher::MissionGameplayHideInventory</a></div><div class="ttdeci">private void MissionGameplayHideInventory()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df4/_dispatcher_caller_8c_source.html#l00066">DispatcherCaller.c:66</a></div></div>
<div class="ttc" id="aclass_dispatcher_html_acdc889222e1d92098a9e212d8f103add"><div class="ttname"><a href="../../d2/d3f/class_dispatcher.html#acdc889222e1d92098a9e212d8f103add">Dispatcher::ScriptConsoleHistoryForward</a></div><div class="ttdeci">private void ScriptConsoleHistoryForward()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df4/_dispatcher_caller_8c_source.html#l00033">DispatcherCaller.c:33</a></div></div>
<div class="ttc" id="aclass_dispatcher_html_aefdf50c9c9d3d831013c5ea71ac063e7"><div class="ttname"><a href="../../d2/d3f/class_dispatcher.html#aefdf50c9c9d3d831013c5ea71ac063e7">Dispatcher::ScriptConsoleGetSelectedItem</a></div><div class="ttdeci">private Param ScriptConsoleGetSelectedItem()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df4/_dispatcher_caller_8c_source.html#l00043">DispatcherCaller.c:43</a></div></div>
<div class="ttc" id="aclass_mission_html_aa6e3ab0a60c6c3a44228943fa6d64a88"><div class="ttname"><a href="../../db/dad/class_mission.html#aa6e3ab0a60c6c3a44228943fa6d64a88">Mission::HideInventory</a></div><div class="ttdeci">void HideInventory()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00714">gameplay.c:714</a></div></div>
<div class="ttc" id="aclass_u_i_manager_html_a3ab7a991240828f5541ef09cf31fea78"><div class="ttname"><a href="../../d7/d75/class_u_i_manager.html#a3ab7a991240828f5541ef09cf31fea78">UIManager::GetMenu</a></div><div class="ttdeci">proto native UIScriptedMenu GetMenu()</div><div class="ttdoc">Returns most-top open menu.</div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html">UIScriptedMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l00020">DayZGame.c:21</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a0925bc4f819e4fc81a79caa68d1f45db"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a0925bc4f819e4fc81a79caa68d1f45db">UIScriptedMenu::HistoryForward</a></div><div class="ttdeci">void HistoryForward()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db7/_script_console_8c_source.html#l00476">ScriptConsole.c:476</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a13f0d9335cf9fb8ddcac766efe5b8a58"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a13f0d9335cf9fb8ddcac766efe5b8a58">UIScriptedMenu::HistoryBack</a></div><div class="ttdeci">void HistoryBack()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db7/_script_console_8c_source.html#l00468">ScriptConsole.c:468</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a48bf281fa059d19f7dfc5de9ec29f940"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a48bf281fa059d19f7dfc5de9ec29f940">UIScriptedMenu::SceneEditorCommand</a></div><div class="ttdeci">void SceneEditorCommand(Param params)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/daa/_scene_editor_menu_8c_source.html#l01028">SceneEditorMenu.c:1028</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_a4cca9086febddb24f81f47c92710188c"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#a4cca9086febddb24f81f47c92710188c">UIScriptedMenu::Add</a></div><div class="ttdeci">void Add(string message)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/db7/_script_console_8c_source.html#l00437">ScriptConsole.c:437</a></div></div>
<div class="ttc" id="aclass_u_i_scripted_menu_html_ad5bc9972df322c2b1c6cca5097f19f59"><div class="ttname"><a href="../../d1/d5b/class_u_i_scripted_menu.html#ad5bc9972df322c2b1c6cca5097f19f59">UIScriptedMenu::GetCurrentItemName</a></div><div class="ttdeci">string GetCurrentItemName()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/daa/_scene_editor_menu_8c_source.html#l00201">SceneEditorMenu.c:201</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___menu_i_d_html_ga1f9c728143ed68225163b352c33f1fc4"><div class="ttname"><a href="../../d7/d7f/group___menu_i_d.html#ga1f9c728143ed68225163b352c33f1fc4">MENU_SCRIPTCONSOLE</a></div><div class="ttdeci">const int MENU_SCRIPTCONSOLE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00159">constants.c:159</a></div></div>
<div class="ttc" id="agroup___menu_i_d_html_ga9e6dd7f9f5dcbe138d86b5a9604130b0"><div class="ttname"><a href="../../d7/d7f/group___menu_i_d.html#ga9e6dd7f9f5dcbe138d86b5a9604130b0">MENU_SCENE_EDITOR</a></div><div class="ttdeci">const int MENU_SCENE_EDITOR</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00151">constants.c:151</a></div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_c7836c6bb61da4d1a1e0f4a4f0470d18.html">mission</a></li><li class="navelem"><a class="el" href="../../db/df4/_dispatcher_caller_8c.html">DispatcherCaller.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
